Get detailed token information on a specific chain.
curl --request GET \
--url https://api.hydric.org/v1/tokens/{chainId}/{tokenAddress} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hydric.org/v1/tokens/{chainId}/{tokenAddress}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hydric.org/v1/tokens/{chainId}/{tokenAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": {
"chainId": 1,
"address": "0x0000000000000000000000000000000000000000",
"decimals": 18,
"name": "Ether",
"symbol": "ETH",
"logoUrl": "https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000",
"totalValuePooledUsd": 154000000.5
}
}{
"statusCode": 404,
"timestamp": "2026-02-28T19:40:59.723Z",
"path": "/tokens/1/0x0000000000000000000000000000000000000001",
"traceId": "doc_sample_trace_id",
"error": {
"code": "TOKEN_NOT_FOUND",
"title": "Not Found",
"message": "Couldn't find the specified token at the specified chain",
"details": "Token with address '0x0000000000000000000000000000000000000001' at chain id '1' not found",
"metadata": {
"tokenAddress": "0x0000000000000000000000000000000000000001",
"chainId": 1
}
}
}Tokens
Get detailed token information on a specific chain.
Retrieves comprehensive details about a token on a specific blockchain.
GET
/
v1
/
tokens
/
{chainId}
/
{tokenAddress}
Get detailed token information on a specific chain.
Authorizations
Use the docs sandbox API key for authentication: hydric_docs_4N4ocuirsN8Sh
Path Parameters
The numeric ID of the blockchain where the token resides.
Example:
1
The Token contract address.
Example:
"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
Response
The requested token information.
The requested token information.
Show child attributes
Show child attributes
Example:
{
"chainId": 1,
"address": "0x0000000000000000000000000000000000000000",
"decimals": 18,
"name": "Ether",
"symbol": "ETH",
"logoUrl": "https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000",
"totalValuePooledUsd": 154000000.5
}
Was this page helpful?
⌘I